> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/fr/automatisation/runbooks/runbook-references/org/general/export-all-autopilot-devices.md).

# Exporter tous les appareils Autopilot

Lister ou exporter tous les appareils Windows Autopilot

### Description

Répertorie chaque inscription Windows Autopilot avec ses détails, soit dans la sortie d'exécution, soit dans un fichier CSV téléversé vers un Storage Account Azure avec un lien de téléchargement à durée limitée. Rien n'est modifié.

### Emplacement

Organization → General → Export All Autopilot Devices

**Nom complet du runbook**

rjgit-org\_general\_export-all-autopilot-devices

### Détails

| Propriété      | Valeur                              |
| -------------- | ----------------------------------- |
| Version        | 1.0.1                               |
| Modules requis | RealmJoin.RunbookHelper (>= 0.8.10) |
| Planifiable    | non                                 |

### Autorisations

#### Autorisations d’application

* **Type**: Microsoft Graph
  * DeviceManagementManagedDevices.Read.All
    * *Enrichit chaque appareil Autopilot avec les données Intune via /deviceManagement/managedDevices*
  * DeviceManagementServiceConfig.Read.All
    * *Répertorie windowsAutopilotDeviceIdentities comme données de base de l'export*

### Paramètres

#### Exporter vers un fichier

Lister dans la sortie d'exécution, ou exporter vers un fichier CSV avec un lien de téléchargement.

| Propriété         | Valeur  |
| ----------------- | ------- |
| Obligatoire       | faux    |
| Valeur par défaut | Faux    |
| Type              | Booléen |

**Options du portail**

| Option du portail                 | Valeur |
| --------------------------------- | ------ |
| Exporter vers un fichier CSV      | vrai   |
| Lister dans la sortie d’exécution | faux   |

#### Nom du conteneur

Conteneur de stockage vers lequel le fichier CSV est téléversé. Pris à partir du paramètre du Tenant IntuneDevicesReport.Container.

| Propriété              | Valeur                                             |
| ---------------------- | -------------------------------------------------- |
| Obligatoire            | faux                                               |
| Valeur par défaut      |                                                    |
| Type                   | Chaîne                                             |
| Masqué dans le portail | oui (prédéfini via la personnalisation du runbook) |

#### Nom du groupe de ressources

Groupe de ressources du Storage Account. Pris à partir du paramètre du Tenant IntuneDevicesReport.ResourceGroup.

| Propriété              | Valeur                                             |
| ---------------------- | -------------------------------------------------- |
| Obligatoire            | faux                                               |
| Valeur par défaut      |                                                    |
| Type                   | Chaîne                                             |
| Masqué dans le portail | oui (prédéfini via la personnalisation du runbook) |

#### Nom du Storage Account

Storage Account pour l’export. Pris à partir du paramètre du Tenant IntuneDevicesReport.StorageAccount.Name.

| Propriété              | Valeur                                             |
| ---------------------- | -------------------------------------------------- |
| Obligatoire            | faux                                               |
| Valeur par défaut      |                                                    |
| Type                   | Chaîne                                             |
| Masqué dans le portail | oui (prédéfini via la personnalisation du runbook) |

#### Emplacement du Storage Account

Région Azure utilisée lorsque le Storage Account doit être créé. Pris à partir du paramètre du Tenant IntuneDevicesReport.StorageAccount.Location.

| Propriété              | Valeur                                             |
| ---------------------- | -------------------------------------------------- |
| Obligatoire            | faux                                               |
| Valeur par défaut      |                                                    |
| Type                   | Chaîne                                             |
| Masqué dans le portail | oui (prédéfini via la personnalisation du runbook) |

#### SKU du Storage Account

Niveau de performance utilisé lorsque le Storage Account doit être créé. Pris à partir du paramètre du Tenant IntuneDevicesReport.StorageAccount.Sku.

| Propriété              | Valeur                                             |
| ---------------------- | -------------------------------------------------- |
| Obligatoire            | faux                                               |
| Valeur par défaut      |                                                    |
| Type                   | Chaîne                                             |
| Masqué dans le portail | oui (prédéfini via la personnalisation du runbook) |

[Retour à l’aperçu de la référence du runbook](/fr/automatisation/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/fr/automatisation/runbooks/runbook-references/org/general/export-all-autopilot-devices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
